local table = require "table"
local loop  = require "loop"
local oo    = require "loop.base"

module("luaunit.framework.FailureException", loop.define(oo.class()))

name = "ASSERT EXCEPTION"

function __tostring(self)
	local text = { self.name }
	if self.message then
		table.insert(text, ": ")
		table.insert(text, self.message)
	end
	if self.traceback then
		table.insert(text, "\n")
		table.insert(text, self.traceback)
	end
	return table.concat(text)
end