function run_test(tests)
	for field, value in pairs(tests) do
		if field ~= "setUp" and field ~= "tearDown" and type(value) == "function" then
			tests:setUp()
			value(tests, field)
			tests:tearDown()
		end
	end
end

function run_suite(suite)
	for index, test in ipairs(suite) do
		run_test(test)
	end
end

