local ipairs = ipairs

local table = require "table"
local loop  = require "loop"
local oo    = require "loop.base"

module("oil.tests.loader.LuaIDL",
	loop.define(oo.class()),
	loop.seeapi(oo) )

function getLoading(self, case)
	local code = {}
	if case.IDL then table.insert(code, "oil.loadidl[["..case.IDL.."]]") end
	if case.IDLFiles then 
		for _, idlfile in ipairs(case.IDLFiles) do
			table.insert(code, "oil.loadidlfile[[luaidl/db/"..idlfile.."]]")
		end
	end
	return table.concat(code, "\n")
end
