  #######################################################################################
  #alter a string in order to set paths in scripts
  #params:
  # filepath - the file to be altered
  # srcString - string to be replaced
  # dstString - replacement
  alterString(){

    local filepath=${1}
    local srcString=${2}
    local dstString=${3}

    sed s#"${srcString}"#"${dstString}"# \
    < ${filepath} > ${filepath}".tmp"
    cp ${filepath}".tmp" ${filepath}
    rm -f ${filepath}".tmp"
  }

  # MAIN BODY OF THE SCRIPT
  #
  echo "This script will configure compile and install lua-5.0.2 with:"
  echo "   -> compat-5.1r5"
  echo "   -> luasocket-2.0-beta3"
  echo "   -> oil-0.3.1-alpha"
  echo ""
  echo "Enter the full path where you want to install lua-5.0.2:"
  read -e luaPath
  if ! test -d ${luaPath}; then
      mkdir ${luaPath}
  else
      while [ 1 -eq 1 ]
	do
	echo "!!!WARNING!!! Directory exists! Proceed? (y/n)"
	read confirm
	
	case "${confirm}" in
	    
	    y|Y)
		eval "$3=${creationPath}${newDir}"
		break
		;;
	    
	    n|N)
		;;
	    
	    *)
		echo "Please answer y or n"
		;;
	esac
	done
  fi

  # Cconfiguring lua
  alterString "lua-5.0.2/config" "INSTALL_ROOT=.*" "INSTALL_ROOT=${luaPath}"
  # Configuring luasocket
  alterString "luasocket-2.0-beta3/config" "LUA_HOME=.*" "LUA_HOME=${luaPath}"
  # Configuring oil
  alterString "oil-0.3.1-alpha/config" "LUA_HOME=.*" "LUA_HOME=${luaPath}"

  # Compiling lua
  cd lua-5.0.2
  make
  make install
  make clean
  cd ..
  # Copying compat.lua
  cp compat-5.1.lua ${luaPath}/
  # Compiling luasocket
  cd luasocket-2.0-beta3
  make
  make install
  make clean
  cd ..
  # Compiling oil
  cd oil-0.3.1-alpha
  export LUA_INIT=@${luaPath}/compat-5.1.lua
  make preload
  make installp
  make clean
  cd ..
