local error = error

local loop = require "loop"
local oo   = require "loop.scoped"

module("luaunit.tests.DefaultTestCase",
	loop.define(oo.class({}, require "luaunit.framework.TestCase")),
	loop.seeapi(oo) )

public.setups = 0
public.teardowns = 0
public.runs = 0

function public:setUp()
	self.setups = self.setups + 1
end
function public:tearDown()
	self.teardowns = self.teardowns + 1
end
function public:runTest()
	self.runs = self.runs + 1
	superclass(classof(self)).public.runTest(self)
end
function public:testOK()
end
function public:testError()
	error("file.lua:69: Error!")
end
function public:testFailure()
	self:fail("Failure!")
end
